/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/

p:last-child {
	margin-bottom: 0;
}

.banner-slider .swiper-wrapper {
    align-items: center;
}

.red-txt {
	color: #E70100;
}

span.elementor-button-icon {
    background: #000;
    padding: 10px;
}

span.elementor-button-icon path {
	fill: #fff !important;
}

span.elementor-button-content-wrapper {
    align-items: center;
}

.contact-form .wpforms-field-medium {
    background: #000 !important;
    color: #fff !important;
    text-transform: uppercase;
    width: 100% !important;
    display: block !important;
    max-width: 100% !important;
    font-size: 14px !important;
    padding: 15px 20px !important;
    height: 50px;
    border-radius: 0 !important;
}

.contact-form .wpforms-field-medium::placeholder {
    color: #fff !important;
}

.contact-form .wpforms-field {
    padding: 7px 0 !important;
}

.contact-form  .wpforms-container {
    margin: 0 !important;
}

.wpforms-submit {
    width: 100% !important;
    background: #e70100 !important;
    border-radius: 0 !important;
    height: 50px !important;
}

.wpforms-submit:hover {
	background: #fff !important;
	color: #000 !important;
}

.gallery-slider .swiper-wrapper,
.as-seen-on .swiper-wrapper {
	transition-timing-function: linear !important;
    pointer-events: none;
}

.uniform-slider .swiper-wrapper {
	transition-timing-function: linear !important;
}

.uniform-slider figcaption.elementor-image-carousel-caption {
    position: absolute;
    background: rgb(0 0 0 / 60%);
    bottom: 0;
    z-index: 9;
    left: 0;
    right: 0;
    padding: 10px;
}

.gallery-slider:before {
    content: "";
    width: 50px;
    height: 110%;
    position: absolute;
    left: -19px;
    top: -19px;
    background: #000;
    z-index: 9;
    transform: rotate(6deg);
}

.gallery-slider img {
	display: block;
}

.belt-box:after {
    content: "";
    width: 120px;
    height: 27px;
    background: #000;
    position: absolute;
    right: -30px;
    top: 12px;
    transform: rotate(44deg);
}

.belt-box {
    overflow: hidden;
}

.belt-box:before {
    content: "R-BLACK";
    position: absolute;
    right: 1px;
    transform: rotate(44deg);
    z-index: 9;
    font-size: 12px;
    top: 15px;
}

.team-title li:after {
	border-radius: 5px;
}

.marquee-slide {
  overflow: hidden;
}

.marquee-slide .item {
    padding: 0 10px;
    white-space: nowrap;
    font-weight: 700;
    font-size: 16px;
    text-transform: uppercase;
}

.marquee-slide .item:after {
    content: "/";
    color: #e70100;
    margin-left: 20px;
    font-weight: 900;
    font-size: 20px;
    vertical-align: top;
}

.key-info .elementor-image-box-img {
    background: #e70100;
    border-radius: 50px;
    padding: 20px;
}

.uniform-slider [data-swiper-slide-index="0"] a:before {
    content: "Available Soon";
    position: absolute;
    right: 0;
    background: rgb(231 1 0 / 45%);
    width: 150px;
    text-transform: uppercase;
    top: 0;
    color: #fff;
    padding: 5px;
    font-size: 14px;
}

.order-form div.wpforms-container-full input[type=checkbox]+label,
.order-form legend.wpforms-field-label,
.order-form .wpforms-field-description{
    color: #fff !important;
}

.gallery-img img {
    height: 300px;
    object-fit: cover;
    width: 100%;
}

.gallery-img button.ufg-parent-filters {
    padding: 16px 30px !important;
    font-size: 16px;
	border: 0 !important;
}

.gallery-img .row {
    justify-content: center;
}

.gallery-img button.ufg-parent-filters.active {
    background: #e70100 !important;
    color: #fff !important;
}

.gallery-img button.ufg-parent-filters .fa-check {
    display: none;
}

.gallery-img .col-md-12.my-2 {
    text-align: center;
}

.contact-col:after {
    content: "";
    width: 21vw;
    height: 800px;
    background-image: url(/wp-content/uploads/2026/04/model-img.webp);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom center;
    position: absolute;
    bottom: -95px;
    right: -119px;
    z-index: 999;
}

.wpem-event-layout-wrapper {
    background-image: linear-gradient(180deg, var(--e-global-color-a74a490) 0%, rgb(231 1 0 / 40%) 100%);
	border: 0 !important;
}

.wpem-from-date {
    background: #101010 !important;
}

.wpem-from-date * {
	color: #fff !important;
}

h3.wpem-heading-text,
.wpem-event-date-time,
.wpem-event-location {
    color: #fff !important;
}

.wpem-single-event-body-content {
    color: #fff;
}

.wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-body .wpem-single-event-body-sidebar .wpem-single-event-sidebar-info a {
    color: #fff !important;
}

.wpem-single-event-page .wpem-single-event-wrapper .wpem-single-event-body .wpem-single-event-body-sidebar .wpem-single-event-sidebar-info .wpem-event-type a {
    color: #000 !important;
}

.postid-1740 .event_listing {
    padding: 50px 0;
}

.wpem-event-listings-header,
.event_filters {
    display: none;
}

div#popmake-1781 {
    background-color: #000;
    background-image: linear-gradient(180deg, var(--e-global-color-a74a490) 0%, rgb(231 1 0 / 40%) 100%);
    text-align: center;
    border-radius: 0;
}

div#popmake-1781 h2 {
	text-align: center;
	margin-bottom: 40px;
}

div#popmake-1781 p {
    text-align: center;
    color: #fff;
    font-size: 18px;
    margin-top: 20px;
}

.elite-sec:after {
    content: "";
    width: 400px;
    height: 604px;
    position: absolute;
    background-image: url(/wp-content/uploads/2026/04/taekwondo-decor.png);
    background-size: contain;
    background-repeat: no-repeat;
    right: 0;
    bottom: -23%;
    z-index: 1;
    transform: rotate(-15deg);
    opacity: 0.9;
}

.page-id-1634 [data-elementor-type="wp-page"] {
    overflow: hidden;
}

footer .sub-arrow, footer .sub-menu {
    display: none !important;
}

@media screen and (max-width: 1100px) {
.contact-col:after {
    right: -85px;
}
}

@media screen and (max-width: 1024px) {
.contact-col:after {
    display: none;
}
	
.key-info .elementor-image-box-img {
    padding: 10px;
}
}

@media screen and (max-width: 767px) {
.gallery-slider:before {
	display: none;
}
	
.key-info figure.elementor-image-box-img {
    width: 70px !important;
    padding: 15px;
}
	
.gallery-img button.ufg-parent-filters {
    padding: 10px !important;
    margin: 5px !important;
    font-size: 16px;
}
}